package com.fjhx.service.stock;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.stock.StockHouse;
import com.fjhx.params.stock.StockHouseVo;
import com.fjhx.base.StorageBaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 仓库 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-05
 */
public interface StockHouseService extends StorageBaseService<StockHouse> {

    Page<StockHouse> getPage(Map<String, String> condition);

    void add(StockHouseVo stockHouseVo);

    void edit(StockHouseVo stockHouseVo);

    void delete(StockHouseVo stockHouseVo);

    List<StockHouse> getList(StockHouse stockHouse);

}
